# Update Simulation

Updates the simulation with given information

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Update Simulation endpoint enables you to modify an existing simulation. The same parameters are used as in Create Simulation endpoint.

Example

Update simulation with id 1982

curl --location --request PUT 'https://api.picussecurity.com/v1/simulations/1982' \
--header 'Authorization: Bearer access_token' \
--header 'Content-Type: application/json' \
--data-raw '{
    "schedule": {
        "frequency": "WEEKLY",
        "start_time": 1655984364,
        "day_of_week": [
            2,
            5,
            6
        ],
        "frequency_interval": 1
    }
}'
{
    "simulation": {
        "id": 1982,
        "name": "Simulation Update API Test Updated 2",
        "description": "",
        "schedule_id": 696,
        "agent_id": 923,
        "is_active": false,
        "integrations": [],
        "protocols": null,
        "obfuscation_methods": null,
        "template_id": 1765
    },
    "run_immediately": false
}
Path Params
uint64
required

Simulation ID (URI parameter)

Body Params
schedule
object
boolean
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json